> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Task

> Edits a task/tool via a natural-language instruction, producing an updated draft.



## OpenAPI

````yaml /openapi.yaml post /v2/tasks/{taskId}/edit
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v2/tasks/{taskId}/edit:
    post:
      tags:
        - Tasks
      summary: Edit Task
      description: >-
        Edits a task/tool via a natural-language instruction, producing an
        updated draft.
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_task
              properties:
                user_task:
                  type: string
                  minLength: 1
                  description: Natural-language description of the change to make.
      responses:
        '200':
          description: Task edited successfully.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Failed to edit task.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````